Bug Hunting Session
Bug 36569 - Mouse click into Find Toolbar after undocking will not put caret into toolbar
Summary: Mouse click into Find Toolbar after undocking will not put caret into toolbar
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.0 Beta2
Hardware: All Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find-Toolbar
  Show dependency treegraph
 
Reported: 2011-04-25 02:38 UTC by Ed
Modified: 2019-10-20 02:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed 2011-04-25 02:38:44 UTC
In 3.4 Beta 2 the text box on the "Find" toolbar does not accept the cursor after the bar has been undocked.

Steps to reproduce:
1. Open the "Find" toolbar, such as by pressing Ctrl+F
2. Undock this toolbar.  If it is already floating then dock and then undock it.
3. Try to enter a search term in the text box.
Comment 1 Zack 2011-04-27 16:05:52 UTC
I cannot confirm this bug.  Based on the information provided I cannot reproduce it.
Comment 2 Rainer Bielefeld Retired 2011-04-30 10:54:08 UTC
[Reproducible] with "LibreOffice 3.4Beta3  – WIN7  Home Premium  (64bit) German UI [DEV300m103 (Build:3)]" for DRAW, CALC, but not WRITER.

@Ed:
Your OS/PC are?
Comment 3 Ed 2011-04-30 15:11:46 UTC
Windows 7 Home Premium 64-bit.
Comment 4 Ed 2011-04-30 15:42:40 UTC
Just to add that it was Writer I experienced this bug with.
Comment 5 Rainer Bielefeld Retired 2011-04-30 23:20:26 UTC
@Ed 
Thanks for your additional hint, I did some additional tests and I believe I've got it. The problem appears in all applications including WRITER, but fur me only if I did a test for 
Bug 36571 - Find bar does not appear properly at top of screen

That means:
1. open new WRITER document, type an "x"
2. <ctrl+f> to make visible toolbar
3. undock toolbar (do everythin what's necessary to do that.
4. Save document ans "sample.odt", exit Libo
5. restart LibO, reopen "sample.odt"
6. Do some tests,
7. click into toolbar , works
8. Dock find  Toolbar  at the bottom,  click into toolbar , works
9. <Esc> (toolbar disappears), <ctrl+f>,  click into toolbar , works, 
  Caret flashes in Toolbar
10. Mouse cursor to left toolbar border so that mouse pointer view changes to 
   "move" view
11. undock, move toobar into document
12  click into toolbar 
    expected: Caret should appear
    actual: nothing, toolbar unusable

That's the same for all aplications.

@Andreas
is this your area?
Comment 6 Andras Timar 2011-05-01 01:17:06 UTC
(In reply to comment #5)
> @Andreas
> is this your area?

No, it is not. Kendy wrote the Find toolbar.
Comment 7 LeMoyne Castle 2011-06-15 02:56:27 UTC
Reproduced in LibreOffice 3.4.0 OOO340m1 (Build:12) 32 bit Ubuntu 10.04
on first try in window that had seen much toolbar testing action (many of add, close, dock and undock) - in that case it required no extra effort - opening (Ctrl-F) and undocking Find bar left text entry insensitive.  Entry of search string possible again after Close or Undock of other toolbar and loss of function is repeatable.
Otherwise *very* hard for me to reproduce - similar to 6. Do some tests @comment #5.  Calibrating for Rainer's experience 'some tests' may be >>10.
Comment 8 Rainer Bielefeld Retired 2011-06-23 06:05:02 UTC
Currently it seems to be reproducible easily with "LibreOffice 3.4.1RC1  - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:101)]".

I only have to undock an empty Find Bar, and the problem is visible immediately.
Comment 9 Rainer Bielefeld Retired 2012-03-20 23:33:10 UTC
Still a problem with parallel installation of "LOdev 3.5.2rc0+  [Build ID: ec752de-73cb0b8-f269e46] Win-x86@6-fast pull time 2012-03-19 11:08:23 – WIN7 Home Premium (64bit)
Comment 10 Faisal Menawer 2013-02-10 05:24:31 UTC
Reproduced in LibreOffice 4.0.0.3 
on ubuntu 12.10 64-bit
Comment 11 Timur 2017-08-17 12:59:25 UTC
Reproduced with 6.0+. Assigned since 2011, so I change to New.
Comment 12 QA Administrators 2018-10-19 02:51:01 UTC Comment hidden (obsolete)
Comment 13 Roman Kuznetsov 2018-10-19 14:52:45 UTC
still repro in

Version: 6.2.0.0.alpha0+
Build ID: d9ad59da50c1172fe98f94370221c9c1b688200a
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-08_23:34:44
Locale: ru-RU (ru_RU); Calc: threaded
Comment 14 QA Administrators 2019-10-20 02:33:39 UTC
Dear Ed,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug